--- old/build/gcc48/build-libgcc_s.sh	Tue Jun 16 09:31:02 2015
+++ /dev/null	Tue Jun 16 09:31:02 2015
@@ -1,63 +0,0 @@
-#!/usr/bin/bash
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Load support functions
-. ../../lib/functions.sh
-
-PROG=libgcc_s
-VER=4.8.1
-VERHUMAN=$VER
-PKG=system/library/gcc-4-runtime
-SUMMARY="gcc 4.8 runtime"
-DESC="$SUMMARY"
-
-PATH=/opt/gcc-${VER}/bin:$PATH
-export LD_LIBRARY_PATH=/opt/gcc-{$VER}/lib
-
-BUILD_DEPENDS_IPS="gcc48"
-NO_PARALLEL_MAKE=1
-
-# This stuff is in its own domain
-PKGPREFIX=""
-
-PREFIX=/opt/gcc-${VER}
-
-init
-prep_build
-mkdir -p $TMPDIR/$BUILDDIR
-for license in COPYING.RUNTIME COPYING.LIB COPYING3.LIB
-do
-    logcmd cp $SRCDIR/files/$license $TMPDIR/$BUILDDIR/$license || \
-        logerr "Cannot copy licnese: $license"
-done
-mkdir -p $DESTDIR/usr/lib
-cp /opt/gcc-${VER}/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so.1
-ln -s /usr/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so
-mkdir -p $DESTDIR/usr/lib/amd64
-cp /opt/gcc-${VER}/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so.1
-ln -s /usr/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so
-make_package runtime.mog
-clean_up
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/build-libgcc_s.sh	Tue Jun 16 09:31:02 2015
@@ -0,0 +1,63 @@
+#!/usr/bin/bash
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License, Version 1.0 only
+# (the "License").  You may not use this file except in compliance
+# with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright 2011-2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+# Load support functions
+. ../../lib/functions.sh
+
+PROG=libgcc_s
+VER=5.1.0
+VERHUMAN=$VER
+PKG=system/library/gcc-5-runtime
+SUMMARY="gcc 5.1.0 runtime"
+DESC="$SUMMARY"
+
+PATH=/opt/gcc-${VER}/bin:$PATH
+export LD_LIBRARY_PATH=/opt/gcc-{$VER}/lib
+
+BUILD_DEPENDS_IPS="gcc51"
+NO_PARALLEL_MAKE=1
+
+# This stuff is in its own domain
+PKGPREFIX=""
+
+PREFIX=/opt/gcc-${VER}
+
+init
+prep_build
+mkdir -p $TMPDIR/$BUILDDIR
+for license in COPYING.RUNTIME COPYING.LIB COPYING3.LIB
+do
+    logcmd cp $SRCDIR/files/$license $TMPDIR/$BUILDDIR/$license || \
+        logerr "Cannot copy licnese: $license"
+done
+mkdir -p $DESTDIR/usr/lib
+cp /opt/gcc-${VER}/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so.1
+ln -s /usr/lib/libgcc_s.so.1 $DESTDIR/usr/lib/libgcc_s.so
+mkdir -p $DESTDIR/usr/lib/amd64
+cp /opt/gcc-${VER}/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so.1
+ln -s /usr/lib/amd64/libgcc_s.so.1 $DESTDIR/usr/lib/amd64/libgcc_s.so
+make_package runtime.mog
+clean_up
